%define anolis_release 5

Name:           lorax-templates-anolis
Version:        37.0
Release:        1.%{anolis_release}%{?dist}
Summary:        Anolis OS build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
# Copy from https://github.com/weldr/lorax/tree/master/share/templates.d/99-generic
Source0:        lorax-templates-anolis-37.0.tar.gz

Patch1001:      1001-custom-config.patch
Patch1002:      1002-add-uefi-parameter.patch
Patch1003:      1003-Do-not-remove-avahi-glib-avahi-libs.patch
Patch1004:      1004-do-not-move-usr-libexec-anaconda-auditd.patch
Patch1005:      1005-do-not-remove-libauparse.so.0-which-is-needed-by-aud.patch
Patch1006:	1006-not-delete-auditctl-which-is-needed-by-anaconda.patch

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-anolis

%description
Anolis OS 23 specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%autosetup -p1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-anolis/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Mon Mar 13 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0-1.5
- do not remove auditctl which is needed by anaconda

* Mon Feb 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 37.0-1.4
- do not remove libauparse.so.0 which is needed by auditd

* Mon Feb 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 37.0-1.3
- do not move usr/libexec/anaconda/auditd in runtime-postinstall.tmpl

* Fri Jan 06 2023 Chang Gao <gc-taifu@linux.alibaba.com> - 37.0-1.2
- Do not remove avahi-glib and avahi-libs in runtime-cleanup.tmpl

* Thu Oct 27 2022 gaochang <gc-taifu@linux.alibaba.com> - 37.0-1.1
- Initial version for Anolis OS 23
